Skip to main content
POST
Update an incident update

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

incidentId
integer
required

ID of the incident

incidentUpdateId
integer
required

ID of the incident update to update

Body

application/json

Incident update request

state
enum<string>

State of the incident update

Available options:
unknown,
investigating,
identified,
monitoring,
resolved
content
string

Content of the incident update

Required string length: 1 - 10000
Example:

"We are investigating the issue."

published_at
string<date-time>

Date of publication of the incident update, defaults to the current date on creation. Must be within the last year and no more than 10 minutes in the future.

Response

Success, incident update updated

state
enum<string>
required

State of the incident update

Available options:
unknown,
investigating,
identified,
monitoring,
resolved
content
string
required

Content of the incident update

Required string length: 1 - 10000
Example:

"We are investigating the issue."

id
integer

Incident update ID

Example:

1

published_at
string<date-time>

Date of publication of the incident update, defaults to the current date on creation. Must be within the last year and no more than 10 minutes in the future.

creator
object

Creator of the incident update

created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on February 22, 2026